import { FileInfo, File } from '@aomao/engine';
import { ImageUploader } from '@aomao/plugin-image';
declare class CustomizeImageUploader extends ImageUploader {
    private imageComponents;
    handleBefore(uid: string, file: File): Promise<false | {
        file: File;
        info: FileInfo;
        base64: string;
        size: Record<string, number>;
    }>;
    onReady(fileInfo: FileInfo, base64: string, size: Record<string, number>): void;
    onSuccess(response: any, uid: string): void;
    onError(error: any, uid: string): void;
    execute(files?: File[] | string | MouseEvent): Promise<void>;
    /**
     * 处理文件上传
     * @param values
    */
    handleUpload(values: Array<{
        file: File;
        info: FileInfo;
    }>): void;
}
export default CustomizeImageUploader;
