/// <reference types="react" />
interface YwEditorProps {
    type: 'HTML' | 'ATTR';
    /** 编辑器高度 */
    height?: number | string;
    /** 默认值 */
    defaultValue?: string;
    /** 工具栏配置 */
    toolConfigs?: any[];
    isEditMode?: boolean;
    onChange?: (values: string) => void;
    onBlur?: () => void;
    onFocus?: () => void;
    isImageUpdate?: boolean;
    placeholder?: string;
    backgroundColor?: string;
    ossConfig?: {
        env?: string;
        projectId?: string;
        tokenKey?: string;
    };
    isInitNull?: boolean;
}
export default function YwEditor(props: YwEditorProps): JSX.Element;
export {};
